HOME_FULL= c:/Users/James
DEV_TOOLS= $(HOME_FULL)/DevTools/Android
TOOLCHAIN= $(DEV_TOOLS)/ndk-toolchain
NDK_FULL = $(DEV_TOOLS)/android-ndk-r10d
INCLUDE  = -I.. -I$(TOOLCHAIN) -I$(DEV_TOOLS)/bullet-2.81-rev2613/src \
	-I$(NDK_FULL)/sources/android/native_app_glue
CXXFLAGS = -DANDROID_NDK $(INCLUDE) -O2 --std=c++0x

CXX      = $(TOOLCHAIN)/bin/arm-linux-androideabi-gcc-4.8 
AR		 = $(TOOLCHAIN)/bin/arm-linux-androideabi-ar

SOURCES  = \
	NativeManager.cpp \
	NativeRootWindow.cpp \
	NativeAssetFile.cpp \
	NativeAssetDir.cpp \
	FilePath.cpp \
	AC3DFileReader.cpp \
	Timer.cpp \

OBJS = $(SOURCES:%.cpp=obj/%.obj)

obj/%.obj: %.cpp
	$(CXX) $(CXXFLAGS) -o $@ -c $< 

all: $(OBJS)
	$(AR) rc ../lib/Utility.a $^

clean: 
	rm -rf obj/*.obj *~


