package com.dubiousoft.sakana;

import javax.microedition.khronos.egl.EGLConfig;
import javax.microedition.khronos.opengles.GL10;

import android.opengl.GLSurfaceView.Renderer;

public class GameScreenRenderer implements Renderer {

	private final NativeSakana m_nativeSakana;
	
	public GameScreenRenderer( NativeSakana nativeSakana )
	{
		m_nativeSakana = nativeSakana;
	}
	
	@Override
	public void onDrawFrame(GL10 gl) {
		m_nativeSakana.DrawScene();
	}

	@Override
	public void onSurfaceChanged(GL10 gl, int width, int height) {
		Utils.LOG( "onSurfaceChanged" );
		m_nativeSakana.ResetOpenGL();
	}

	@Override
	public void onSurfaceCreated(GL10 gl, EGLConfig config) {
		Utils.LOG( "onSurfaceCreated" );
	}

}
