HOME_FULL= C:/Users/james
DEV_TOOLS= $(HOME_FULL)/DevTools/Android
TOOLCHAIN= $(DEV_TOOLS)/ndk-toolchain
INCLUDE  = -I.. -I$(TOOLCHAIN) -I$(DEV_TOOLS)/bullet-2.81-rev2613/src 
CXXFLAGS = -DANDROID_NDK $(INCLUDE) -O2 --std=c++0x

CXX      = $(TOOLCHAIN)/bin/arm-linux-androideabi-gcc-4.8 
AR		 = $(TOOLCHAIN)/bin/arm-linux-androideabi-ar

SOURCES  = \
	Model.cpp \
	PhysicalObject.cpp \
	World.cpp \

OBJS = $(SOURCES:%.cpp=obj/%.obj)

obj/%.obj: %.cpp
	$(CXX) $(CXXFLAGS) -o $@ -c $< 

all: $(OBJS)
	$(AR) rc ../lib/Physics.a $^

clean: 
	rm -rf obj/*.obj *~


