#include "Color.h"

//////////////////////////////////////////////////////////////
namespace Dubious
{
namespace Renderer
{

const Color Color::RED( 1.0f, 0, 0, 1.0f );
const Color Color::BLUE( 0, 0, 1.0f, 1.0f );
const Color Color::GREEN( 0, 1.0f, 0, 1.0f );
const Color Color::BLACK( 0, 0, 0, 1.0f );
const Color Color::WHITE( 1.0f, 1.0f, 1.0f, 1.0f );

//////////////////////////////////////////////////////////////
Color::Color()
	: m_Red( 0 )
	, m_Green( 0 )
	, m_Blue( 0 )
	, m_Alpha( 1.0f )
{
}

//////////////////////////////////////////////////////////////
Color::Color( float R, float G, float B, float A )
	: m_Red( R )
	, m_Green( G )
	, m_Blue( B )
	, m_Alpha( A )
{
}

}
}

