#include "OpenGLMatrix.h"

#include <GLES/gl.h>

//////////////////////////////////////////////////////////////
namespace Dubious
{
namespace Renderer
{

//////////////////////////////////////////////////////////////
OpenGLMatrix::OpenGLMatrix()
{
	glPushMatrix();
}

//////////////////////////////////////////////////////////////
OpenGLMatrix::~OpenGLMatrix()
{
	glPopMatrix();
}

//////////////////////////////////////////////////////////////
void OpenGLMatrix::LoadIdentity()
{
	glLoadIdentity();
}

//////////////////////////////////////////////////////////////
void OpenGLMatrix::MatrixMode( int Mode )
{
	glMatrixMode( Mode );
}

//////////////////////////////////////////////////////////////
void OpenGLMatrix::MultMatrix( float m[16] )
{
	glMultMatrixf( m );
}

}
}
